Skip to main content
POST
/
projects
Create a project
curl --request POST \
  --url https://api.onecli.sh/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Production"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://onecli.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from the dashboard or GET /user/api-key

Body

application/json
name
string
required
Required string length: 2 - 50
Example:

"Production"

Response

Project created

id
string
name
string
slug
string
createdAt
string<date-time>